#!/bin/sh

echo ---------------------------------
echo loadmusic Starter Script
echo by maxodil at octagon-forum.com
echo ---------------------------------

##########
# Settings
##########
RIPURL='http://80.237.158.87:8000'
RIPDESTDIR='loadmusic'
STARTSLEEP='30'
STREAMRIPPERARGS='-s -t --xs-offset=10000 --xs-search-window=15000:15000 --xs-silence-length=300 -u FreeAmp/2.x'
STREAMRIPPERNICE=15

# wait after start - leave time for box to fully boot up
echo Sleeping for $STARTSLEEP sec ...
sleep $STARTSLEEP

# no double ripping
if ! pidof streamripper >& /dev/null
then
	echo Launching streamripper ...
	
	#############################
	# Find out which drive to use
	#############################
	touch /STORAGE/HDD/.loadmp3test &> /dev/nul
	if [ -f /STORAGE/HDD/.loadmp3test ] ; then
		echo "Using HDD for ripping ..."
		rm /STORAGE/HDD/.loadmp3test
		RIPDRIVE='/STORAGE/HDD/'
	else
		touch /STORAGE/USB1/.loadmp3test &> /dev/nul
		if [ -f /STORAGE/USB1/.loadmp3test ] ; then
			echo "Using USB1 for ripping ..."
			rm /STORAGE/USB1/.loadmp3test
			RIPDRIVE='/STORAGE/USB1/'
		else
			touch /STORAGE/USB2/.loadmp3test &> /dev/nul
			if [ -f /STORAGE/USB2/.loadmp3test ] ; then
				echo "Using USB2 for ripping ..."
				rm /STORAGE/USB2/.loadmp3test
				RIPDRIVE='/STORAGE/USB2/'
			else
				touch /STORAGE/USB3/.loadmp3test &> /dev/nul
				if [ -f /STORAGE/USB3/.loadmp3test ] ; then
					echo "Using USB3 for ripping ..."
					rm /STORAGE/USB3/.loadmp3test
					RIPDRIVE='/STORAGE/USB3/'
				else
					echo "NO drive found exiting!"
					exit 1
				fi
			fi
		fi
	fi
	
	################
	# manage subdirs
	################
	
	# create, clean subdir
	if [ ! -d $RIPDRIVE$RIPDESTDIR ] ; then
  	mkdir $RIPDRIVE$RIPDESTDIR
  	echo "Created output directory" $RIPDRIVE$RIPDESTDIR  
	else
		rm -f $RIPDRIVE$RIPDESTDIR/incomplete/* &> /dev/nul
		echo "Removed incomplete data from output directory" $RIPDRIVE$RIPDESTDIR  
	fi
	
	#####################
	# launch streamripper
	#####################
	
	(nice -n $STREAMRIPPERNICE /var/bin/tools/streamripper $RIPURL -d $RIPDRIVE$RIPDESTDIR $STREAMRIPPERARGS &> $RIPDRIVE$RIPDESTDIR'/streamripper.log') &
	
	echo ----------------------
	echo streamripper launched
	echo Output directory is $RIPDRIVE$RIPDESTDIR
	echo Logfile is here $RIPDRIVE$RIPDESTDIR'/streamripper.log'
	echo Launcher script terminates successfully here.
	
else
	echo streamripper alread running.
	echo Exiting!
fi
